Package org.apache.solr.client.solrj.request

## Class HealthCheckRequest

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<HealthCheckResponse>
  - - org.apache.solr.client.solrj.request.HealthCheckRequest

All Implemented Interfaces:
  `Serializable`

    public class HealthCheckRequest
    extends SolrRequest<HealthCheckResponse>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

Fields
`static String` `PARAM_MAX_GENERATION_LAG`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`HealthCheckRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected HealthCheckResponse` `createResponse​(SolrClient client)` Create a new SolrResponse to hold the response from the server
`SolrParams` `getParams()`
`String` `getRequestType()` This method defines the type of this Solr request.
`void` `setMaxGenerationLag​(int maxLagAllowed)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, setBasePath, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARAM_MAX_GENERATION_LAG

    public static final String PARAM_MAX_GENERATION_LAG

See Also:
  Constant Field Values

### Constructor Detail

#### HealthCheckRequest

    public HealthCheckRequest()

### Method Detail

#### setMaxGenerationLag

    public void setMaxGenerationLag​(int maxLagAllowed)

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<HealthCheckResponse>`

#### createResponse

    protected HealthCheckResponse createResponse​(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<HealthCheckResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### getRequestType

    public String getRequestType()

Description copied from class: `SolrRequest`
This method defines the type of this Solr request.

Specified by:
  `getRequestType` in class `SolrRequest<HealthCheckResponse>`